import React from 'react'
export default props => {
  const popupBackground = {
    position: 'fixed',
    width: '100%',
    height: '100%',
    top: 0,
    left: 0,
    right: 0,
    bottom: 0,
    margin: 'auto',
    backgroundColor: 'rgba(0, 0, 0, 0.5)'
  }

  const popupFrame = {
    position: 'absolute',
    margin: 'auto',
    background: 'white',
    top: 50 - props.height + '%',
    bottom: 50 - props.height + '%',
    right: 50 - props.width + '%',
    left: 50 - props.width + '%'
  }

  if (!props.visible) return null
  else
    return (
      <div style={popupBackground}>
        <div style={{ ...popupFrame, ...props.style }}>{props.children}</div>
      </div>
    )
}
